* {
  box-sizing: border-box;
}

body {
  background-color: rgb(12, 65, 49);
  background-image: url("./../img/bg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top center;

  height: 100vh;
  color: #fff;
  font-family: "Rubik", sans-serif;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  margin: 0;

  overflow: hidden;
}

/* Темный оверлей */
body::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

.countdown-wrapper {
  z-index: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  height: 100vh;
}

#title {
  text-transform: uppercase;
  font-size: 60px;
  font-weight: bold;
}

#show {
  display: none;
  flex-direction: column;
  justify-content: center;
}

#stay {
  font-size: 25px;
  padding: 0 3em;
}

#left {
  justify-content: center;
  padding-bottom: 10px;
  font-size: 20px;
  letter-spacing: 0.55em;
  color: rgb(142, 142, 142);
}

#countdown {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.time {
  display: flex;
  flex-direction: column;
  margin: 0 30px;
}

.digit {
  margin: 0;
  font-size: 48px;
  font-weight: bold;
}

.text {
  margin: 0;
  font-size: 26px;
}

@media (max-width: 500px) {
  #title {
    font-size: 35px;
  }
  #stay {
    font-size: 19px;
  }
  #left {
    font-size: 11px;
  }
  .time {
    margin: 0 10px;
  }
  .digit {
    font-size: 32px;
    margin: 0;
  }
  .text {
    font-size: 16px;
  }
}

/* Preloader */
.lds-roller {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-roller div {
  animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  transform-origin: 40px 40px;
}
.lds-roller div:after {
  content: " ";
  display: block;
  position: absolute;
  width: 7px;
  height: 7px;
  border-radius: 50%;
  background: #fff;
  margin: -4px 0 0 -4px;
}
.lds-roller div:nth-child(1) {
  animation-delay: -0.036s;
}
.lds-roller div:nth-child(1):after {
  top: 63px;
  left: 63px;
}
.lds-roller div:nth-child(2) {
  animation-delay: -0.072s;
}
.lds-roller div:nth-child(2):after {
  top: 68px;
  left: 56px;
}
.lds-roller div:nth-child(3) {
  animation-delay: -0.108s;
}
.lds-roller div:nth-child(3):after {
  top: 71px;
  left: 48px;
}
.lds-roller div:nth-child(4) {
  animation-delay: -0.144s;
}
.lds-roller div:nth-child(4):after {
  top: 72px;
  left: 40px;
}
.lds-roller div:nth-child(5) {
  animation-delay: -0.18s;
}
.lds-roller div:nth-child(5):after {
  top: 71px;
  left: 32px;
}
.lds-roller div:nth-child(6) {
  animation-delay: -0.216s;
}
.lds-roller div:nth-child(6):after {
  top: 68px;
  left: 24px;
}
.lds-roller div:nth-child(7) {
  animation-delay: -0.252s;
}
.lds-roller div:nth-child(7):after {
  top: 63px;
  left: 17px;
}
.lds-roller div:nth-child(8) {
  animation-delay: -0.288s;
}
.lds-roller div:nth-child(8):after {
  top: 56px;
  left: 12px;
}
@keyframes lds-roller {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
